Skip to Content
EIS
API Referencev1Services

Get Services by Carrier

GET
/v1/service/carrier

Retrieve organization services matching a carrier and carrier type.

Query Parameters

carrierId*integer

Carrier identifier.

carrierType*string

Carrier-specific service classification.

Response Body

Services retrieved successfully.

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.eis.it/v1/service/carrier?carrierId=0&carrierType=string'
Example Response
[  {    "id": 0,    "serviceList": {      "id": 0,      "name": "string",      "serviceProvider": {        "id": 0,        "name": "string",        "description": "string"      },      "carrier": {        "id": 0,        "name": "string"      },      "type": {        "id": 0,        "name": "string"      },      "supplierProductId": "string"    },    "organizationId": 0,    "integration": {      "id": 0,      "name": "string"    },    "name": "string",    "forDirect": true,    "forSub": true,    "carrierType": "string",    "offsetDays": 0,    "attributes": {}  }]